'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactUikitBase = require('react-uikit-base');

var _reactUikitBase2 = _interopRequireDefault(_reactUikitBase);

var _reactUikitBadge = require('react-uikit-badge');

var _reactUikitBadge2 = _interopRequireDefault(_reactUikitBadge);

var _ufunc = require('ufunc');

var _ufunc2 = _interopRequireDefault(_ufunc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Note = function Note(props) {
  // CSS classes
  var cssClassNames = _reactUikitBase2.default.helpers.cleanClasses([props.classes, props.className]);

  // Elements
  var badge = _ufunc2.default.either(_react2.default.createElement(
    _reactUikitBadge2.default,
    null,
    props.badge
  ), _react2.default.createElement(
    _reactUikitBadge2.default,
    { kitid: 'badge-' + props.kitid, context: props.badge ? props.badge.context : null },
    props.badge ? props.badge.body : 'Note'
  ))(typeof props.badge === 'string');

  // Return Component
  return _react2.default.createElement(
    'p',
    _extends({}, props, _reactUikitBase2.default.events(props), {
      className: cssClassNames,
      'data-kitid': props.kitid
    }),
    badge,
    ' ',
    props.body,
    ' ',
    props.children
  );
};

Note.propTypes = {
  badge: _react2.default.PropTypes.oneOfType([_react2.default.PropTypes.string, _react2.default.PropTypes.object]),
  body: _react2.default.PropTypes.string,
  children: _react2.default.PropTypes.any,
  className: _react2.default.PropTypes.string,
  classes: _react2.default.PropTypes.array,
  kitid: _react2.default.PropTypes.string
};

exports.default = _reactUikitBase2.default.base(Note);